%ifos darwin
%define __defattr %defattr(-,root,wheel)
%define _sysconfdir /private/etc
%define __soext dylib
%else
%define __defattr %defattr(-,root,root)
%define __soext so
%endif
%define __libtoolize echo

# Note that this is NOT a relocatable package
Summary: An image loading and rendering library for X11R6.
Name: imlib
Version: 1.9.10
Release: 2a
Epoch: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.enlightenment.org/enlightenment/imlib/imlib-%{version}.tar.gz
Obsoletes: Imlib
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.labs.redhat.com/imlib/
Requires: libpng 
Requires: libtiff 
Requires: libjpeg
Requires: gtk+ >= 1.2
%ifnos darwin
Requires: zlib 
Requires: netpbm-progs 
Requires: libungif
%endif

%description
Imlib is a display depth independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library for
X11R6, or if you are installing GNOME.  You may also want to install
the imlib-cfgeditor package, which will help you configure Imlib.

%package devel
Summary: Development tools for Imlib applications.
Group: Development/Libraries
Requires: imlib = %{PACKAGE_VERSION}
Requires: libpng-devel
Requires: libtiff-devel
Requires: libjpeg-devel
%ifnos darwin
Requires: zlib-devel
Requires: netpbm-devel
Requires: libungif-devel
Requires: XFree86-devel
%endif
Requires: gtk+-devel
Obsoletes: Imlib

%description devel
The header files, static libraries and documentation needed for
developing Imlib applications.  Imlib is an image loading and
rendering library for X11R6.

Install the imlib-devel package if you want to develop Imlib
applications.  You will also need to install the imlib and
imlib_cfgeditor packages.

%package cfgeditor
Summary: A configuration editor for the Imlib library.
Group: System Environment/Libraries
Requires: imlib = %{PACKAGE_VERSION}

%description cfgeditor
The imlib-cfgeditor package contains the imlib_config program, which
you can use to configure the Imlib image loading and rendering
library.  Imlib_config can be used to control how Imlib uses color and
handles gamma corrections, etc.

If you are installing the imlib package, you should also install
imlib_cfgeditor.

%prep
%setup -q

%build
automake
cp /usr/share/libtool/{config.*,lt*} .
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
else
  %configure
fi

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi
###########################################################################

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files
%{__defattr}
%doc README AUTHORS ChangeLog NEWS
%ifnos darwin
%attr(755,root,root) %{_libdir}/lib*.%{__soext}.*
%{_libdir}/libimlib-*.%{__soext}
%else
%{_libdir}/lib*.%{__soext}
%endif
%config %{_sysconfdir}/*

%files cfgeditor
%{__defattr}
%{_bindir}/imlib_config

%files devel
%{__defattr}
%doc doc/*.gif doc/*.html
%{_bindir}/imlib-config
%ifnos darwin
%{_libdir}/libImlib.%{__soext}
%{_libdir}/libgdk_imlib.%{__soext}
%endif
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*


%changelog
* Fri Jul 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X.

* Mon Jun 18 2001 Than Ngo <than@redhat.com>
- use %%{_tmppath}
- fix to build against new libtool

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Updated to new version (1.9.10)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Aug 01 2000 Jonathan Blandford <jrb@redhat.com>
- updated to new version.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Dave Mason <dcm@redhat.com>
- updated spec file to new RPM Guidelines

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- change dependencies from libgr to netpbm

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- use makeinstall macro
- 1.9.8

* Fri Feb 25 2000 Elliot Lee <sopwith@redhat.com>
- Patch to use fallback locations for palette files.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip format plugins

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Updates from the RHL 6.0 package.

* Mon Jan 11 1999 Carsten Haitzler <raster@redhat.com>
- up to 1.9.0

* Wed Sep 23 1998 Carsten Haitzler <raster@redhat.com>
- up to 1.8.1

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- yet another build for today (%defattr and %attr in the files lists)
- devel docs are back on the spec file

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- Added minor patch for ps saving code.

* Mon Sep 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to version 1.8

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- take out imlib_config from devel package

* Wed Sep 9 1998 Michael Fulbright <msf@redhat.com>
- upgraded to 1.7
- changed name so it will persist if user later install devel imlib
- added subpackage for imlib_config

* Fri Apr 3 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed typo

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Added -k, Obsoletes
- Integrate into CVS source tree
